Skip to main content
POST

Authorizations

X-Api-Key
string
header
required

Your API key.

Path Parameters

id
string<uuid>
required

Body

application/json

The body is of type enum<string>.

Available options:
ACTIVE,
PAUSED,
CANCELLED

Response

OK

id
string<uuid>

Unique identifier of the campaign

name
string

Name of the campaign

agentId
string<uuid>

Unique identifier of the agent to perform the campaign with

startDate
string<date>

Start date of the campaign

Example:

"2024-07-30"

timeSlots
object[]

Timeslots of the campaign (when the calls will be performed during the day). Max 2 timeslots

batchSize
integer<int32>

The number of calls per...

retry
object

Retry parameters when the contact cannot be reached

days
enum<string>[]

Days of the campaign

Days of the campaign

Available options:
MONDAY,
TUESDAY,
WEDNESDAY,
THURSDAY,
FRIDAY,
SATURDAY,
SUNDAY
status
enum<string>

Status of the campaign

Available options:
ACTIVE,
PAUSED,
CANCELLED
timezone
string

The timezone of the campaign

Example:

"Europe/Paris"